Package Details: brightness-controller-git 2.3.4.r286.ea7434a-2

Git Clone URL: https://aur.archlinux.org/brightness-controller-git.git (read-only, click to copy)
Package Base: brightness-controller-git
Description: Control Brightness of your Primary and Secondary Display in Linux
Upstream URL: https://github.com/LordAmit/Brightness
Licenses: GPL
Conflicts: brightness-controller
Provides: brightness-controller
Submitter: dracorp
Maintainer: yochananmarqos
Last Packager: yochananmarqos
Votes: 6
Popularity: 1.39
First Submitted: 2018-02-28 16:40
Last Updated: 2021-05-21 22:51

Latest Comments

1 2 Next › Last »

dracorp commented on 2021-05-21 20:53

Ok, thanks. I've orphaned it.

pethersonmoreno commented on 2021-05-21 03:05

Really interesting this @yochananmarqos's PKGBUILD.

I temporaraly solved this installation using a custom script that I've created to it, here is the link to it:

archisman commented on 2021-05-14 18:47

@dracorp I am an upstream contributor. This PKGBUILD does not work, while the one created by @yochananmarqos works perfectly. Please add him as a Co-Maintainer (or orphan the package so that he can adopt it).

yochananmarqos commented on 2021-05-14 15:28

@archisman: Thanks for the tips, I got it working. See my PKGBUILD

archisman commented on 2021-05-14 03:47

The setup.py is not ready yet. Till then, edit the PKGBUILD to do the following.

Download the master branch, and,

1. copy src/init.py --> /usr/share/brightness-controller/
2. copy src/ui/ --> /usr/share/brightness-controller/
3. copy src/util/ --> /usr/share/brightness-controller/
4. copy img/brightness.svg --> /usr/share/icons/hicolor/scalable/apps/brightness-controller.svg
5. Download `brightness-controller` and `brightness-reset`and copy them to `/usr/bin` (from releases branch https://github.com/LordAmit/Brightness/tree/releases/usr/bin)
6. Download the .desktop file from releases (https://github.com/LordAmit/Brightness/tree/releases/usr/share/applications) and copy it to `/usr/share/applications`

Alternatively, download everything from the releases branch, which is used to create the Debian package.

The only dependencies should be python-qtpy(+ one of its optional dependencies, either python-pyqt5 or pyside2) and xorg-xrandr.

yochananmarqos commented on 2021-05-14 02:47

This fails to build without patchelf and python-setuptools.

I can't get this to work, so I'm not sure if there are more dependencies needed besides python-qtpy (+ either python-pyqt5 or pyside2) and xorg-xrandr.

❯ brightness
zsh: segmentation fault (core dumped)  brightness

dracorp commented on 2020-05-14 10:12

I'm not sure. I've checked this by namcap.

archisman commented on 2020-05-12 03:55

Are all of these qt dependencies required? In debian, the dependencies are python3-pyside2.qtcore, python3-pyside2.qtgui,python3-pyside2.qtwidgets, python3-pyside2.qtnetwork and xrandr.

So probably xorg-xrandr, cx_freeze and pyside2 would do?

dracorp commented on 2020-05-11 21:25

Finally, fixed and updated PKGBUILD to the latest version.

archisman commented on 2020-05-11 08:49

Dependencies have changed. pyside2 is now a dependency.